Senders
Endpoints for listing, creating, and deleting senders.
GET
https://api.paperarchive.io/v1/sendersScope:
senders:readList all senders across accessible spaces. Senders are automatically detected from documents by AI or can be manually assigned.
Code examples
curl -X GET "https://api.paperarchive.io/v1/senders" \
-H "Authorization: Bearer pa_live_abc123def456"POST
https://api.paperarchive.io/v1/sendersScope:
senders:writeCreate a new sender in a space.
Request body
| Name | Type | Required | Description |
|---|---|---|---|
name | string | required | Sender name. |
space_id | uuid | required | Space to create the sender in. |
Code examples
curl -X POST "https://api.paperarchive.io/v1/senders" \
-H "Authorization: Bearer pa_live_abc123def456" \
-H "Content-Type: application/json" \
-d '{"name": "Acme Corp", "space_id": "space-uuid-1"}'DELETE
https://api.paperarchive.io/v1/senders/:idScope:
senders:writeDelete a sender. Only works for senders in spaces accessible by your API key.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
id | uuid | required | The sender ID to delete. |
Code examples
curl -X DELETE "https://api.paperarchive.io/v1/senders/sender-uuid-1" \
-H "Authorization: Bearer pa_live_abc123def456"